Skip to main content
`Ctrl`+`K`

# VecHIPRestoreArrayWrite

Restore a HIP device pointer previously acquired with `VecHIPGetArrayWrite()`.

## Synopsis

    #include <petscvec.h>
    PetscErrorCode VecHIPRestoreArrayWrite(Vec v, PetscScalar **a)

Logically Collective; Asynchronous; No Fortran Support

## Input Parameters

- v - the vector

- a - the HIP device pointer. This pointer is invalid after `VecHIPRestoreArrayWrite()` returns.

## Note

Data on the host will be marked as out of date. Subsequent access of the data on the host side e.g. with `VecGetArray()` will incur a device to host data transfer.

## See Also

Vectors and Parallel Data, `VecHIPGetArrayWrite()`, `VecHIPGetArray()`, `VecHIPGetArrayRead()`, `VecHIPGetArrayWrite()`, `VecGetArray()`, `VecRestoreArray()`, `VecGetArrayRead()`

## Level

intermediate

## Location

src/vec/vec/impls/seq/cupm/hip/vecseqcupm.hip.cxx

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages